summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-04-19 12:39:12 +0200
committerHolger Levsen <holger@layer-acht.org>2017-04-19 12:39:12 +0200
commitdeab813fbcac8f9e78bc7b575f8655ee6a975c6c (patch)
treef2dd43631d7acf834b92f26a14aebf0cfe24b1d3
parent46125c5d21c917d4f505ab4f850266da46c7283b (diff)
downloadjenkins.debian.net-deab813fbcac8f9e78bc7b575f8655ee6a975c6c.tar.xz
chroot-installations: ignore ttf-freefont when looking for transitional packages, and add a reminder to do that again, once stretch has been released
Signed-off-by: Holger Levsen <holger@layer-acht.org>
-rwxr-xr-xbin/chroot-installation.sh9
-rw-r--r--logparse/chroot-installation.rules1
2 files changed, 9 insertions, 1 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index aa9462c8..3557b198 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -288,12 +288,19 @@ fi
#
if [ "$DISTRO" = "sid" ] ; then
# ignore multiarch-support because the transition will never be finished…
- ( sudo chroot $CHROOT_TARGET dpkg -l | grep -v multiarch-support | grep -i "Transitional" 2>/dev/null || true) > $TMPFILE
+ # ignore ttf-freefont, stretch is frozen…
+ ( sudo chroot $CHROOT_TARGET dpkg -l \
+ | grep -v multiarch-support \
+ | grep -v ttf-freefont \
+ | grep -i "Transitional" 2>/dev/null || true) > $TMPFILE
if [ -s $TMPFILE ] ; then
echo
echo "Warning: Transitional packages found:"
cat $TMPFILE
fi
+ if ! cat /etc/debian_version | grep -q ^8 ; then
+ echo "Warning: seems Stretch has been released, please revisit the list of transitional packages to ignore…"
+ fi
fi
echo "Debug: Removing trap."
diff --git a/logparse/chroot-installation.rules b/logparse/chroot-installation.rules
index fa519b20..006b0212 100644
--- a/logparse/chroot-installation.rules
+++ b/logparse/chroot-installation.rules
@@ -3,3 +3,4 @@
ok /not really/
warning /Warning: Transitional packages found:/
+warning /Warning: seems Stretch has been released.+/